Subject: bug#76064: 31.0.50; Display issue with flymake-show-diagnostics-at-end-of-line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Feb 2025 15:46:45 +0200

> Date: Wed, 05 Feb 2025 00:24:32 +0100
> From:  Ergus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I have been using flymake-show-diagnostics-at-end-of-line for a while
> and I have noticed that the inlined diagnostics behaves wrongly.
> 
> 1. If I am in a line with a diagnostic at the end, and I do C-e, the
> cursor goes to the end of the diagnostic instead to the end of the line.
> 
> 2. If after that I do C-a nothing happens, the cursor "stock" there
> until I leave the line. Left or right arrow don't work either.
> 
> 3. If we are in the last line and it has a diagnostic, it is impossible
> to write at the end of the line because the cursor jumps constantly to
> the end of the diagnostic when typing.

This is bug#73863.  I explained why this happens in that bug, see

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73863#35

I proposed several potential solutions for that here:

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73863#62

(and a couple of other ideas elsewhere in that discussion).  But
AFAIU, none of the suggestions were acceptable, so here we are.